# `Geant4_jll.jl` (v11.1.1+0)

[![deps](https://juliahub.com/docs/Geant4_jll/deps.svg)](https://juliahub.com/ui/Packages/Geant4_jll/GKQi4?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/e3bd44f46a3959dd3e55a88dc930718cbdec0667/G/Geant4/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `Geant4_jll.jl` have been built from these sources:

* compressed archive: https://gitlab.cern.ch/geant4/geant4/-/archive/v11.1.1/geant4-v11.1.1.tar.gz (SHA256 checksum: `c5878634da9ba6765ce35a469b2893044f4a6598aa948733da8436cdbfeef7d2`)
* compressed archive: https://github.com/phracker/MacOSX-SDKs/releases/download/10.15/MacOSX10.15.sdk.tar.xz (SHA256 checksum: `2408d07df7f324d3beea818585a6d990ba99587c218a3969f924dfcc4de93b62`)

## Platforms

`Geant4_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc}` (`aarch64-linux-gnu-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc}` (`aarch64-linux-gnu-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc}` (`i686-linux-gnu-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc}` (`i686-linux-gnu-cxx11`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc}` (`powerpc64le-linux-gnu-cxx03`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc}` (`powerpc64le-linux-gnu-cxx11`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc}` (`x86_64-linux-gnu-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11`)

## Dependencies

The following JLL packages are required by `Geant4_jll.jl`:

* [`Expat_jll`](https://github.com/JuliaBinaryWrappers/Expat_jll.jl)
* [`Libglvnd_jll`](https://github.com/JuliaBinaryWrappers/Libglvnd_jll.jl)
* [`Xerces_jll`](https://github.com/JuliaBinaryWrappers/Xerces_jll.jl)
* [`Xorg_libXmu_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXmu_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `FileProduct`: `data_dir`
* `LibraryProduct`: `libG4Analysis`
* `LibraryProduct`: `libG4CLHEP`
* `LibraryProduct`: `libG4Digits`
* `LibraryProduct`: `libG4ErrorPropagation`
* `LibraryProduct`: `libG4Event`
* `LibraryProduct`: `libG4FR`
* `LibraryProduct`: `libG4Geometry`
* `LibraryProduct`: `libG4Global`
* `LibraryProduct`: `libG4Graphics`
* `LibraryProduct`: `libG4Intercoms`
* `LibraryProduct`: `libG4Interfaces`
* `LibraryProduct`: `libG4Material`
* `LibraryProduct`: `libG4Mocren`
* `LibraryProduct`: `libG4Modeling`
* `LibraryProduct`: `libG4ParModels`
* `LibraryProduct`: `libG4Particles`
* `LibraryProduct`: `libG4Particles`
* `LibraryProduct`: `libG4Persistency`
* `LibraryProduct`: `libG4PhysicsLists`
* `LibraryProduct`: `libG4Processes`
* `LibraryProduct`: `libG4Ptl`
* `LibraryProduct`: `libG4RayTracer`
* `LibraryProduct`: `libG4Readout`
* `LibraryProduct`: `libG4Run`
* `LibraryProduct`: `libG4Track`
* `LibraryProduct`: `libG4Tracking`
* `LibraryProduct`: `libG4Tree`
* `LibraryProduct`: `libG4VRML`
* `LibraryProduct`: `libG4VisHepRep`
* `LibraryProduct`: `libG4Zlib`
* `LibraryProduct`: `libG4visManagement`
